image: alpine/edge
oauth: pages.sr.ht/PAGES:RW
packages:
- hut
environment:
  site: mrpapersonic.srht.site
tasks:
- package: |
    cd web
    tar -cvz . --exclude-vcs > ../site.tar.gz
- upload: |
    hut pages publish -d $site site.tar.gz